Summary: emi.fts.config-service
Name: config-service
Version:
Release:
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: boost-devel
BuildRequires: lcgutil-build-common-cpp
BuildRequires: cppunit
BuildRequires: log4cpp-devel
BuildRequires: lcgutil-build-common-cpp
BuildRequires: glite-build-common-cpp
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: cppunit-devel
Requires: boost
Requires: log4cpp
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
Source: %{name}-%{version}.tar.gz

%description
This package provides the library glite_data_config for
configuring an service and the application glite_data_config_service that
could be used to start and stop daemons.

%prep
 

%setup -c

%build
mkdir -p src/autogen; aclocal -I /usr/share/emi/build/m4 -I /share/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
./configure --prefix=%{buildroot}/usr --with-version=%{version} --with-interface-version=%{version} --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-emi
make all
  

%install
QA_SKIP_BUILD_ROOT=1; export QA_SKIP_BUILD_ROOT
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libglite_data_config_serviceconfigurator.so
%{_libdir}/libglite_data_config_serviceconfigurator.so.*
%{_libdir}/libglite_data_config.so.*
%{_libdir}/libglite_data_config.a
%{_libdir}/libglite_data_config.so
%{_libdir}/libglite_data_config_serviceconfigurator.a
%{_bindir}/glite-data-config-generator
%{_bindir}/glite_data_config_service
%{_bindir}/glite-data-config-service
%{_bindir}/glite_data_config_generator
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%dir %{_includedir}/glite/data/config/
%dir %{_includedir}/glite/data/config/service/
%{_includedir}/glite/data/config/service/StringConverter.hxx
%{_includedir}/glite/data/config/service/ParamValue.hxx
%{_includedir}/glite/data/config/service/SysLogInfo.h
%{_includedir}/glite/data/config/service/SysLogAuthpriv.h
%{_includedir}/glite/data/config/service/SysLogDaemon.h
%{_includedir}/glite/data/config/service/glite-config-register.hxx
%{_includedir}/glite/data/config/service/ServiceConfiguration.hxx
%{_includedir}/glite/data/config/service/ServiceConfigurator.hxx
%{_includedir}/glite/data/config/service/SysLogFacility.h
%{_includedir}/glite/data/config/service/ComponentConfiguration.hxx
%{_includedir}/glite/data/config/service/Logger.hxx
%{_includedir}/glite/data/config/service/ParamReader.hxx
%{_includedir}/glite/data/config/service/SysLog.hxx
%{_includedir}/glite/data/config/service/glite-config.h
%{_includedir}/glite/data/config/service/ServiceConfigurationException.hxx
%{_sbindir}/glite-data-config-service-common
%{_sbindir}/glite-data-config-service-wrapper
%dir %{_datadir}/test/
%dir %{_datadir}/test/glite-data-config-service/
%dir %{_datadir}/test/glite-data-config-service/config/
%{_datadir}/test/glite-data-config-service/config/test-config-service-static.properties.xml
%{_datadir}/test/glite-data-config-service/config/conf-service-hang-test.log-properties
%{_datadir}/test/glite-data-config-service/config/conf-service-test.properties.xml
%{_datadir}/test/glite-data-config-service/config/conf-service-hang-test.properties.xml
%{_datadir}/test/glite-data-config-service/config/conf-service-test.log-properties
%{_datadir}/test/glite-data-config-service/config/test-config-service-static.log-properties
%dir %{_datadir}/test/glite-data-config-service/bin/
%{_datadir}/test/glite-data-config-service/bin/glite_data_config_service_test
%{_datadir}/test/glite-data-config-service/bin/glite_data_config_service_test_static
%dir %{_datadir}/test/glite-data-config-service/lib/
%{_datadir}/test/glite-data-config-service/lib/*
%dir %{_datadir}/config/
%dir %{_datadir}/config/glite-data-config-service/
%{_datadir}/config/glite-data-config-service/xml-config-to-properties.xsl
%{_datadir}/config/glite-data-config-service/config-service-to-deployment.xsl
%{_datadir}/config/glite-data-config-service/config-service-to-deployment.sh
%{_datadir}/config/glite-data-config-service/xml-config-to-properties.sh
%dir %{_defaultdocdir}/glite-data-config-service/
%{_defaultdocdir}/glite-data-config-service/RELEASE-NOTES
%{_defaultdocdir}/glite-data-config-service/configuration-schema.xsd
%{_defaultdocdir}/glite-data-config-service/TEST
%dir %{_defaultdocdir}/glite-data-config-service/xsl/
%{_defaultdocdir}/glite-data-config-service/xsl/config-template-to-docbook.xsl
%{_defaultdocdir}/glite-data-config-service/xsl/html-output.xsl
%{_defaultdocdir}/glite-data-config-service/README
%{_defaultdocdir}/glite-data-config-service/LICENSE
%dir %{_defaultdocdir}/glite-data-config-service/examples/
%{_defaultdocdir}/glite-data-config-service/examples/logrotate.conf
%{_defaultdocdir}/glite-data-config-service/examples/README
%{_defaultdocdir}/glite-data-config-service/examples/init.d-script.sh

%changelog
 
